
/*

  $Id: readudcf.h,v 1.9 2003/08/08 22:48:23 cramer Exp $
*/

#include <expat.h>

enum {
  ALARM_SURFACE = 1 << 0,
  ALARM_DECO = 1 << 1,
  ALARM_ASCENT = 1 << 2
} alarms;

struct DiveProfile {
  unsigned int        DiveNum;
  int                 year;
  int                 month;
  int                 day;
  int                 hour;
  int                 minute;
  int                 SurfaceIntervall;
  float               maxDepth;
  unsigned char       pDelta;
  unsigned char       pStart;
  unsigned char       pEnd;
  float               temperature;
  char                timezone[6];
  float               profile[600];
  unsigned char       alarm[200];
  int                 delta;
  int                 numsamples;
  float               tanksize;
  float               bVol;
  float               avgDepth;
  char               filename[255];
};

struct XMLHeap {
  char                tags[10][30];
  char                data[10][255];
  int                 level;
  int                 done;
  struct DiveProfile *diveprofile;
};

struct DiveProfile *readudcf (char *filename);
