
/*
 
  $Id: main.c,v 1.7 2003/06/08 19:33:55 cramer Exp $
*/

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gnome.h>

#include "interface.h"
#include "support.h"
#include "include/filelist.h"
#include "include/plotdive.h"
#include "include/readudcf.h"
#include "include/defines.h"
#include "include/preferences.h"

struct s_preferences CurrentPreferences;

int main (int argc, char *argv[])
{
  GtkWidget          *mainWindow;
  GtkWidget          *preferences;
  char                dirname[200];

/* Don't know how this works ... and it gives me errors ...
#ifdef ENABLE_NLS
  bindtextdomain (GETTEXT_PACKAGE, PACKAGE_LOCALE_DIR);
  bind_textdomain_codeset (GETTEXT_PACKAGE, "UTF-8");
  textdomain (GETTEXT_PACKAGE);
#endif
*/

  gnome_program_init (PACKAGE, VERSION, LIBGNOMEUI_MODULE,
                      argc, argv,
                      GNOME_PARAM_APP_DATADIR, PACKAGE_DATA_DIR, NULL);

  mainWindow = create_mainWindow ();
  gtk_widget_show (mainWindow);

  if (!readpreferences (&CurrentPreferences)) {
    fprintf (stderr,
             "Something went wrong while reading config file ... opening preferences\n");

    preferences = create_preferencesWindow ();
    gtk_widget_show (preferences);
  }

  sprintf (dirname, "%s/%s", getenv ("HOME"), ALADINHOME);
  buildFileList (mainWindow, dirname, 1);
 
  gtk_main ();
  return (0);
}
